SDL_GetWindowSize(3)

NAME
SDL_GetWindowSize - Get the size of a window's client area.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_GetWindowSize(SDL_Window *window, int *w, int *h);

DESCRIPTION
The window pixel size may differ from its window coordinate size if the window is on a high pixel density display. Use SDL_GetWindowSizeInPixels() or SDL_GetRenderOutputSize() to get the real client area size in pixels.

FUNCTION PARAMETERS

window
    the window to query the width and height from.

w   a pointer filled in with the width of the window, may be NULL.

h   a pointer filled in with the height of the window, may be NULL.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetRenderOutputSize(3), SDL_GetWindowSizeInPixels(3), SDL_SetWindowSize(3), SDL_EVENT_WINDOW_RESIZED(3)